<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>TestRfc3492Idn xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../testapidocs/org/apache/http/client/utils/TestRfc3492Idn.html">View Javadoc</a></div><pre>

<a class="jxr_linenumber" name="1" href="#1">1</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="2" href="#2">2</a>   <em class="jxr_comment"> * ====================================================================</em>
<a class="jxr_linenumber" name="3" href="#3">3</a>   <em class="jxr_comment"> * Licensed to the Apache Software Foundation (ASF) under one</em>
<a class="jxr_linenumber" name="4" href="#4">4</a>   <em class="jxr_comment"> * or more contributor license agreements.  See the NOTICE file</em>
<a class="jxr_linenumber" name="5" href="#5">5</a>   <em class="jxr_comment"> * distributed with this work for additional information</em>
<a class="jxr_linenumber" name="6" href="#6">6</a>   <em class="jxr_comment"> * regarding copyright ownership.  The ASF licenses this file</em>
<a class="jxr_linenumber" name="7" href="#7">7</a>   <em class="jxr_comment"> * to you under the Apache License, Version 2.0 (the</em>
<a class="jxr_linenumber" name="8" href="#8">8</a>   <em class="jxr_comment"> * "License"); you may not use this file except in compliance</em>
<a class="jxr_linenumber" name="9" href="#9">9</a>   <em class="jxr_comment"> * with the License.  You may obtain a copy of the License at</em>
<a class="jxr_linenumber" name="10" href="#10">10</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="11" href="#11">11</a>  <em class="jxr_comment"> *   <a href="http://www.apache.org/licenses/LICENSE-2.0" target="alexandria_uri">http://www.apache.org/licenses/LICENSE-2.0</a></em>
<a class="jxr_linenumber" name="12" href="#12">12</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="13" href="#13">13</a>  <em class="jxr_comment"> * Unless required by applicable law or agreed to in writing,</em>
<a class="jxr_linenumber" name="14" href="#14">14</a>  <em class="jxr_comment"> * software distributed under the License is distributed on an</em>
<a class="jxr_linenumber" name="15" href="#15">15</a>  <em class="jxr_comment"> * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</em>
<a class="jxr_linenumber" name="16" href="#16">16</a>  <em class="jxr_comment"> * KIND, either express or implied.  See the License for the</em>
<a class="jxr_linenumber" name="17" href="#17">17</a>  <em class="jxr_comment"> * specific language governing permissions and limitations</em>
<a class="jxr_linenumber" name="18" href="#18">18</a>  <em class="jxr_comment"> * under the License.</em>
<a class="jxr_linenumber" name="19" href="#19">19</a>  <em class="jxr_comment"> * ====================================================================</em>
<a class="jxr_linenumber" name="20" href="#20">20</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="21" href="#21">21</a>  <em class="jxr_comment"> * This software consists of voluntary contributions made by many</em>
<a class="jxr_linenumber" name="22" href="#22">22</a>  <em class="jxr_comment"> * individuals on behalf of the Apache Software Foundation.  For more</em>
<a class="jxr_linenumber" name="23" href="#23">23</a>  <em class="jxr_comment"> * information on the Apache Software Foundation, please see</em>
<a class="jxr_linenumber" name="24" href="#24">24</a>  <em class="jxr_comment"> * &lt;<a href="http://www.apache.org/&gt;." target="alexandria_uri">http://www.apache.org/&gt;.</a></em>
<a class="jxr_linenumber" name="25" href="#25">25</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="26" href="#26">26</a>  <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="27" href="#27">27</a>  <strong class="jxr_keyword">package</strong> org.apache.http.client.utils;
<a class="jxr_linenumber" name="28" href="#28">28</a>  
<a class="jxr_linenumber" name="29" href="#29">29</a>  <strong class="jxr_keyword">import</strong> org.junit.Assert;
<a class="jxr_linenumber" name="30" href="#30">30</a>  <strong class="jxr_keyword">import</strong> org.junit.Test;
<a class="jxr_linenumber" name="31" href="#31">31</a>  
<a class="jxr_linenumber" name="32" href="#32">32</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../org/apache/http/client/utils/TestRfc3492Idn.html">TestRfc3492Idn</a> {
<a class="jxr_linenumber" name="33" href="#33">33</a>  
<a class="jxr_linenumber" name="34" href="#34">34</a>      <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="35" href="#35">35</a>  <em class="jxr_javadoccomment">     * Some of the sample strings from RFC 3492</em>
<a class="jxr_linenumber" name="36" href="#36">36</a>  <em class="jxr_javadoccomment">     */</em>
<a class="jxr_linenumber" name="37" href="#37">37</a>      @Test
<a class="jxr_linenumber" name="38" href="#38">38</a>      <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testDecode() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="39" href="#39">39</a>          <strong class="jxr_keyword">final</strong> Rfc3492Idn idn = <strong class="jxr_keyword">new</strong> Rfc3492Idn();
<a class="jxr_linenumber" name="40" href="#40">40</a>          <em class="jxr_comment">// (A) Arabic</em>
<a class="jxr_linenumber" name="41" href="#41">41</a>          Assert.assertEquals(<span class="jxr_string">"\u0644\u064A\u0647\u0645\u0627\u0628\u062A\u0643\u0644"</span> +
<a class="jxr_linenumber" name="42" href="#42">42</a>                       <span class="jxr_string">"\u0645\u0648\u0634\u0639\u0631\u0628\u064A\u061F"</span>,
<a class="jxr_linenumber" name="43" href="#43">43</a>                       idn.decode(<span class="jxr_string">"egbpdaj6bu4bxfgehfvwxn"</span>));
<a class="jxr_linenumber" name="44" href="#44">44</a>  
<a class="jxr_linenumber" name="45" href="#45">45</a>          <em class="jxr_comment">// (B) Chinese (simplified)</em>
<a class="jxr_linenumber" name="46" href="#46">46</a>          Assert.assertEquals(<span class="jxr_string">"\u4ED6\u4EEC\u4E3A\u4EC0\u4E48\u4E0D\u8BF4\u4E2D\u6587"</span>,
<a class="jxr_linenumber" name="47" href="#47">47</a>                       idn.decode(<span class="jxr_string">"ihqwcrb4cv8a8dqg056pqjye"</span>));
<a class="jxr_linenumber" name="48" href="#48">48</a>  
<a class="jxr_linenumber" name="49" href="#49">49</a>          <em class="jxr_comment">// (I) Russian (Cyrillic)</em>
<a class="jxr_linenumber" name="50" href="#50">50</a>          Assert.assertEquals(<span class="jxr_string">"\u043F\u043E\u0447\u0435\u043C\u0443\u0436\u0435\u043E"</span>+
<a class="jxr_linenumber" name="51" href="#51">51</a>                       <span class="jxr_string">"\u043D\u0438\u043D\u0435\u0433\u043E\u0432\u043E\u0440"</span>+
<a class="jxr_linenumber" name="52" href="#52">52</a>                       <span class="jxr_string">"\u044F\u0442\u043F\u043E\u0440\u0443\u0441\u0441\u043A"</span>+
<a class="jxr_linenumber" name="53" href="#53">53</a>                       <span class="jxr_string">"\u0438"</span>,
<a class="jxr_linenumber" name="54" href="#54">54</a>                       idn.decode(<span class="jxr_string">"b1abfaaepdrnnbgefbaDotcwatmq2g4l"</span>));
<a class="jxr_linenumber" name="55" href="#55">55</a>  
<a class="jxr_linenumber" name="56" href="#56">56</a>          <em class="jxr_comment">// (P) Maji&lt;de&gt;Koi&lt;suru&gt;5&lt;byou&gt;&lt;mae&gt;</em>
<a class="jxr_linenumber" name="57" href="#57">57</a>          Assert.assertEquals(<span class="jxr_string">"\u004D\u0061\u006A\u0069\u3067\u004B\u006F\u0069\u3059"</span> +
<a class="jxr_linenumber" name="58" href="#58">58</a>                       <span class="jxr_string">"\u308B\u0035\u79D2\u524D"</span>,
<a class="jxr_linenumber" name="59" href="#59">59</a>                       idn.decode(<span class="jxr_string">"MajiKoi5-783gue6qz075azm5e"</span>));
<a class="jxr_linenumber" name="60" href="#60">60</a>  
<a class="jxr_linenumber" name="61" href="#61">61</a>      }
<a class="jxr_linenumber" name="62" href="#62">62</a>  
<a class="jxr_linenumber" name="63" href="#63">63</a>      @Test
<a class="jxr_linenumber" name="64" href="#64">64</a>      <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testToUnicode() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="65" href="#65">65</a>          <strong class="jxr_keyword">final</strong> Rfc3492Idn idn = <strong class="jxr_keyword">new</strong> Rfc3492Idn();
<a class="jxr_linenumber" name="66" href="#66">66</a>          <em class="jxr_comment">// (A) Arabic</em>
<a class="jxr_linenumber" name="67" href="#67">67</a>          Assert.assertEquals(<span class="jxr_string">"\u0644\u064A\u0647\u0645\u0627\u0628\u062A\u0643\u0644"</span> +
<a class="jxr_linenumber" name="68" href="#68">68</a>                       <span class="jxr_string">"\u0645\u0648\u0634\u0639\u0631\u0628\u064A\u061F"</span>,
<a class="jxr_linenumber" name="69" href="#69">69</a>                       idn.toUnicode(<span class="jxr_string">"xn--egbpdaj6bu4bxfgehfvwxn"</span>));
<a class="jxr_linenumber" name="70" href="#70">70</a>  
<a class="jxr_linenumber" name="71" href="#71">71</a>          <em class="jxr_comment">// some real-world domains</em>
<a class="jxr_linenumber" name="72" href="#72">72</a>          Assert.assertEquals(<span class="jxr_string">"www.z\u00fcrich.ch"</span>,
<a class="jxr_linenumber" name="73" href="#73">73</a>                       idn.toUnicode(<span class="jxr_string">"www.xn--zrich-kva.ch"</span>));
<a class="jxr_linenumber" name="74" href="#74">74</a>  
<a class="jxr_linenumber" name="75" href="#75">75</a>          Assert.assertEquals(<span class="jxr_string">"www.g\u00e4ggelig\u00e4\u00e4l.ch"</span>,
<a class="jxr_linenumber" name="76" href="#76">76</a>                       idn.toUnicode(<span class="jxr_string">"www.xn--gggeligl-0zaga.ch"</span>));
<a class="jxr_linenumber" name="77" href="#77">77</a>      }
<a class="jxr_linenumber" name="78" href="#78">78</a>  
<a class="jxr_linenumber" name="79" href="#79">79</a>  }
</pre>
<hr/><div id="footer">This page was automatically generated by <a href="http://maven.apache.org/">Maven</a></div></body>
</html>

